circle-check
Documentation has been updated: see help center and changelog in one place.

Product

Scrape Bodega Aurrerá product pages by product ID.

The bodegaaurrera_product source is designed to retrieve Bodega Aurrerá product pages. The API returns the HTML for any Bodega Aurrerá product you like.

Request samples

The samples below illustrate how you can get a Bodega Aurrerá product page.

curl 'https://realtime.oxylabs.io/v1/queries' \
--user 'USERNAME:PASSWORD' \
-H 'Content-Type: application/json' \
-d '{
        "source": "bodegaaurrera_product",
        "product_id": "00880609585365"
    }'

We use synchronous Realtimearrow-up-right integration method in our examples. If you would like to use Proxy Endpointarrow-up-right or asynchronous Push-Pullarrow-up-right integration, refer to the integration methodsarrow-up-right section.

Request parameter values

Generic

Parameter
Description
Default Value

source

Sets the scraper.

bodegaaurrera_product

product_id

Bodega Aurrerá product ID.

-

render

Enables JavaScript rendering when set to html. More info.

-

callback_url

URL to your callback endpoint. More info.

-

user_agent_type

Device type and browser. The full list can be found here.

desktop

- mandatory parameter

Localization

Adapt results to a specific subdomain, store, or delivery location.

Parameter
Description
Type

subdomain

Subdomain localization. Accepts www and despensa values. Default: www

String

delivery_zip

Set the delivery or pickup location. Accepts a Mexican postal code.

String

store_id

Specify a store. See the available store IDs below.

String

fulfillment_type

Set the fulfillment method. Available values: pickup, delivery.

String

circle-info

delivery_zip, store_id, and fulfillment_type apply with the despensa subdomain (despensa.bodegaaurrera.com.mx).

Find the available Bodega Aurrerá store IDs below:

Last updated

Was this helpful?